Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.provider.model
[Java] Interface ToolingModelBuilderRegistry

    @Incubating
    public interface ToolingModelBuilderRegistry

A registry of tooling model builders. Adding a builder to this registry makes a model (or models) available via the tooling API.

Method Summary
`ToolingModelBuilder` | `getBuilder(String modelName)`
`void` | `register(ToolingModelBuilder builder)`

Method Detail

### getBuilder

    public ToolingModelBuilder getBuilder(String modelName)

### register

    public void register(ToolingModelBuilder builder)

Gradle API 1.10